Summary:	Kernel Oops decoder
Name:		ksymoops
Version:	2.4.1
Release:	1
License:	GNU
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/%{name}-%{version}.tar.bz2
Patch0:		Makefile.linuxkid.patch.bz2
BuildRequires:	binutils >= 2.11.90.0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	kernel-utils

%description
Read the kernel Oops file and make the best stab at converting the code
to instructions and mapping stack values to kernel symbols.

%prep
%setup -q
%patch0 -p1

%build
%{?!bcond_off_static:%{__make} DEBUG="%{optflags}"} DEF_MAP=\\\"/boot/System.map\\\"
%{?bcond_off_static:%{__make} ksymoops.shared DEBUG="%{optflags}"} DEF_MAP=\\\"/boot/System.map\\\"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
cp ksymoops.8 $RPM_BUILD_ROOT/usr/man/man8
%{?!bcond_off_static:install ksymoops $RPM_BUILD_ROOT%{_sbindir}/ksymoops}
%{?bcond_off_static:install ksymoops.shared $RPM_BUILD_ROOT%{_sbindir}/ksymoops}

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc *.gz
/*
